#include "LogGenerator.h"

#include <QtGui>
#include <QApplication>
#include <QTranslator>
#include <QLocale>
#include <QLibraryInfo>

int main( int argc, char *argv[] )
{
    QApplication app( argc, argv );

    QString translatorFileName = QLatin1String( "LogGenerator_" );
    translatorFileName += QLocale::system().name();

    QTranslator *translator = new QTranslator( &app );

    if ( !translator->load( translatorFileName, QString( UBUDSL_PREFIX + "/share/ubudsl/translations/" ) ) )
    {
        qDebug() << "Failed to load the" << QString( UBUDSL_PREFIX + "/share/ubudsl/translations/" + translatorFileName + "!" );
    }

    app.installTranslator( translator );


    LogGenerator logGenerator;
    logGenerator.show();

    return app.exec();
}
