/*
 * File: Globals.h
 * Author: Adrian Łubik (2008)
 * License: GNU LGPL v3
 */

#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <QString>
#include <QCoreApplication>
#include <stdio.h>

#ifndef qApp
#define qApp QCoreApplication::instance()
#endif

#define UBUDSL_VERSION "1.0"

extern bool debug;
extern FILE *pFile;
extern const QString UBUDSL_PREFIX;

/**
  * A global function for setting the debug mode.
  * If debug is set to true and a fileName is given
  * then the debug messages are being written to the file.
  * Otherwise the messages are written to the standard out.
  */
void setDebug( bool debug, const QString fileName = "" );

/**
  * An enum with modem state values.
  */
enum ModemState
{
    Synchronised = 0,
    Synchronising = 1,
    SynchronisationFailed = 2,
    Booting = 3,
    Error = 4,
    Unknown = 100
};


namespace ConnectionState
{
/**
  * An enum with connection state values.
  */
enum ConnectionState
{
    Connected = 0,
    Connecting = 1,
    Disconnected =2
};
}

#endif /*GLOBALS_H_*/
