/*
 * File: Volume.h
 * Author: Adrian Łubik (2008)
 * License: GNU LGPL v3
 */

#ifndef VOLUME_H_
#define VOLUME_H_

#include <QString>

/**
  * A class representing a media volume.
  */
class Volume
{
public:
    /**
      * Class constructor.
      * @param device is device that the volume is mounted on.
      * @param label is the volume's label.
      * @param udi is UDI of the volume.
      */
    Volume( const QString device, const QString label, const QString udi );

    /**
      * @return Device the volume is mounted on.
      */
    QString getDevice();
    /**
      * @return Volume's label.
      */
    QString getLabel();
    /**
      * @return Volume's UDI.
      */
    QString getUdi();
private:
    QString m_device;
    QString m_label;
    QString m_udi;
};

#endif /*VOLUME_H_*/
